| http://www.sim.no/ http://www.coin3d.org/

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
SoGLDepthBufferElement Class Reference
Element Classes

The SoGLDepthBufferElement controls the OpenGL depth buffer. More...

`#include <Inventor/elements/SoGLDepthBufferElement.h>`

Inheritance diagram for SoGLDepthBufferElement:

## Public Member Functions

virtual void | init (SoState *state)
virtual void | push (SoState *state)
virtual void | pop (SoState *state, const SoElement *prevTopElement)
Public Member Functions inherited from SoDepthBufferElement
virtual SbBool | matches (const SoElement *element) const
virtual SoElement * | copyMatchInfo (void) const
Public Member Functions inherited from SoElement
const SoType | getTypeId (void) const
int | getStackIndex (void) const
void | setDepth (const int depth)
int | getDepth (void) const
virtual void | print (FILE *file=stdout) const
virtual | ~SoElement ()

## Static Public Member Functions

static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void * | createInstance (void)
static void | initClass (void)
Static Public Member Functions inherited from SoDepthBufferElement
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void * | createInstance (void)
static void | initClass (void)
static void | set (SoState *state, SbBool test, SbBool write, DepthWriteFunction function, SbVec2f range)
static void | get (SoState *state, SbBool &test_out, SbBool &write_out, DepthWriteFunction &function_out, SbVec2f &range_out)
static SbBool | getTestEnable (SoState *state)
static SbBool | getWriteEnable (SoState *state)
static DepthWriteFunction | getFunction (SoState *state)
static SbVec2f | getRange (SoState *state)
Static Public Member Functions inherited from SoElement
static void | initClass (void)
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void | initElements (void)
static int | getNumStackIndices (void)
static SoType | getIdFromStackIndex (const int stackIndex)

## Protected Member Functions

virtual | ~SoGLDepthBufferElement ()
virtual void | setElt (SbBool test, SbBool write, DepthWriteFunction function, SbVec2f range)
Protected Member Functions inherited from SoDepthBufferElement
virtual | ~SoDepthBufferElement ()
Protected Member Functions inherited from SoElement
| SoElement (void)
void | capture (SoState *const state) const
virtual void | captureThis (SoState *state) const
void | setTypeId (const SoType typeId)
void | setStackIndex (const int index)
SoElement * | getNextInStack (void) const
SoElement * | getNextFree (void) const

## Additional Inherited Members

Public Types inherited from SoDepthBufferElement
enum | DepthWriteFunction { NEVER, ALWAYS, LESS, LEQUAL, EQUAL, GEQUAL, GREATER, NOTEQUAL }
Static Protected Member Functions inherited from SoElement
static SoElement * | getElement (SoState *const state, const int stackIndex)
static const SoElement * | getConstElement (SoState *const state, const int stackIndex)
static int | createStackIndex (const SoType id)
Protected Attributes inherited from SoDepthBufferElement
SbBool | test
SbBool | write
DepthWriteFunction | function
SbVec2f | range
Protected Attributes inherited from SoElement
SoType | typeId
int | stackIndex
int | depth
Static Protected Attributes inherited from SoElement
static int | classStackIndex
static SoTypeList * | stackToType

## Detailed Description

The SoGLDepthBufferElement controls the OpenGL depth buffer.

Be aware that this class is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.

Since
  Coin 3.0

## Constructor & Destructor Documentation

## ◆ ~SoGLDepthBufferElement()

SoGLDepthBufferElement::~SoGLDepthBufferElement | ( | void |  | ) |

protectedvirtual

The destructor.

## Member Function Documentation

## ◆ createInstance()

void * SoGLDepthBufferElement::createInstance | ( | void |  | ) |

static

This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

## ◆ initClass()

void SoGLDepthBufferElement::initClass | ( | void |  | ) |

static

Initializes the SoGLDepthBufferElement class type.

## ◆ init()

void SoGLDepthBufferElement::init | ( | SoState * | state | ) |

virtual

Internal Coin method.

Reimplemented from SoDepthBufferElement.

## ◆ push()

void SoGLDepthBufferElement::push | ( | SoState * | state | ) |

virtual

Internal Coin method.

Reimplemented from SoDepthBufferElement.

## ◆ pop()

void SoGLDepthBufferElement::pop | ( | SoState * | state,
|  | const SoElement * | prevTopElement
| ) |  |

virtual

Internal Coin method.

Reimplemented from SoDepthBufferElement.

## ◆ setElt()

void SoGLDepthBufferElement::setElt | ( | SbBool | test,
|  | SbBool | write,
|  | DepthWriteFunction | function,
|  | SbVec2f | range
| ) |  |

protectedvirtual

Set this element's values.

Reimplemented from SoDepthBufferElement.

The documentation for this class was generated from the following files:

- SoGLDepthBufferElement.h
- SoGLDepthBufferElement.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.